[arch-commits] Commit in openscenegraph/repos (6 files)

Sergej Pupykin spupykin at nymeria.archlinux.org
Thu Feb 7 15:33:45 UTC 2013


    Date: Thursday, February 7, 2013 @ 16:33:44
  Author: spupykin
Revision: 83959

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  openscenegraph/repos/community-staging-i686/
  openscenegraph/repos/community-staging-i686/PKGBUILD
    (from rev 83958, openscenegraph/trunk/PKGBUILD)
  openscenegraph/repos/community-staging-i686/osg-xine-1.2.patch
    (from rev 83958, openscenegraph/trunk/osg-xine-1.2.patch)
  openscenegraph/repos/community-staging-x86_64/
  openscenegraph/repos/community-staging-x86_64/PKGBUILD
    (from rev 83958, openscenegraph/trunk/PKGBUILD)
  openscenegraph/repos/community-staging-x86_64/osg-xine-1.2.patch
    (from rev 83958, openscenegraph/trunk/osg-xine-1.2.patch)

---------------------------------------------+
 community-staging-i686/PKGBUILD             |   55 ++++++++++++++++++++++++++
 community-staging-i686/osg-xine-1.2.patch   |   14 ++++++
 community-staging-x86_64/PKGBUILD           |   55 ++++++++++++++++++++++++++
 community-staging-x86_64/osg-xine-1.2.patch |   14 ++++++
 4 files changed, 138 insertions(+)

Copied: openscenegraph/repos/community-staging-i686/PKGBUILD (from rev 83958, openscenegraph/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2013-02-07 15:33:44 UTC (rev 83959)
@@ -0,0 +1,55 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Maintainer: Hans Janssen <janserv at gmail.com>
+# Contributor: my64 <packages at obordes.com>
+# Contributor: Colin Pitrat <colin.pitrat at gmail.com>
+
+pkgname=openscenegraph
+pkgver=3.0.1
+pkgrel=8
+pkgdesc="An Open Source, high performance real-time graphics toolkit"
+arch=('i686' 'x86_64')
+license=('custom:OSGPL')
+url="http://www.openscenegraph.org"
+depends=('giflib' 'jasper' 'librsvg' 'xine-lib' 'curl' 'pth')
+makedepends=('cmake' 'libvncserver' 'qt' 'ffmpeg-compat' 'mesa')
+optdepends=('libvncserver' 'gdal' 'openexr' 'poppler-glib' 'qt')
+conflicts=('openthreads')
+provides=('openthreads')
+source=(http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-$pkgver/source/OpenSceneGraph-$pkgver.zip
+	osg-xine-1.2.patch)
+#source=("http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-3.0/source/OpenSceneGraph-$pkgver.zip")
+md5sums=('c43a25d023e635c3566b2083d8e6d956'
+         'b05a486fdc2aaf06b29efb5e0714672e')
+
+build() {
+  cd OpenSceneGraph-$pkgver
+  export PKG_CONFIG_PATH=/usr/lib/ffmpeg-compat/pkgconfig:$PKG_CONFIG_PATH
+  LDFLAGS="$LDFLAGS -Wl,-rpath -Wl,/usr/lib/ffmpeg-compat"
+  CFLAGS="$CFLAGS -D__STDC_CONSTANT_MACROS"
+  CXXFLAGS="$CXXFLAGS -D__STDC_CONSTANT_MACROS"
+  [ $NOEXTRACT -eq 1 ] || cmake . \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DFFMPEG_LIBAVCODEC_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVCODEC_LIBRARIES=/usr/lib/ffmpeg-compat/libavcodec.so \
+    -DFFMPEG_LIBAVDEVICE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVDEVICE_LIBRARIES=/usr/lib/ffmpeg-compat/libavdevice.so \
+    -DFFMPEG_LIBAVFORMAT_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVFORMAT_LIBRARIES=/usr/lib/ffmpeg-compat/libavformat.so \
+    -DFFMPEG_LIBAVUTIL_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVUTIL_LIBRARIES=/usr/lib/ffmpeg-compat/libavutil.so \
+    -DFFMPEG_LIBSWSCALE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBSWSCALE_LIBRARIES=/usr/lib/ffmpeg-compat/libswscale.so
+
+  sed -i 's|#include <curl/types.h>|//#include <curl/types.h>|' src/osgPlugins/curl/ReaderWriterCURL.cpp
+  patch -p1 <$srcdir/osg-xine-1.2.patch
+  make
+}
+
+package() {
+  cd OpenSceneGraph-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -D -m644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+  [ -d "$pkgdir/usr/lib64" ] && mv "$pkgdir/usr/lib64" "$pkgdir/usr/lib" || true
+}

Copied: openscenegraph/repos/community-staging-i686/osg-xine-1.2.patch (from rev 83958, openscenegraph/trunk/osg-xine-1.2.patch)
===================================================================
--- community-staging-i686/osg-xine-1.2.patch	                        (rev 0)
+++ community-staging-i686/osg-xine-1.2.patch	2013-02-07 15:33:44 UTC (rev 83959)
@@ -0,0 +1,14 @@
+diff -wbBur OpenSceneGraph-3.0.1/src/osgPlugins/xine/video_out_rgb.c OpenSceneGraph-3.0.1.my/src/osgPlugins/xine/video_out_rgb.c
+--- OpenSceneGraph-3.0.1/src/osgPlugins/xine/video_out_rgb.c	2009-11-20 14:46:20.000000000 +0300
++++ OpenSceneGraph-3.0.1.my/src/osgPlugins/xine/video_out_rgb.c	2012-01-05 02:15:38.000000000 +0400
+@@ -2769,8 +2769,8 @@
+ 	clear(rgb_class, sizeof(rgbout_class_t));
+ 
+ 	rgb_class->driver_class.open_plugin     = open_plugin;
+-	rgb_class->driver_class.get_identifier  = get_identifier;
+-	rgb_class->driver_class.get_description = get_description;
++	rgb_class->driver_class.identifier  = get_identifier(NULL);
++	rgb_class->driver_class.description = get_description(NULL);
+ 	rgb_class->driver_class.dispose         = dispose_class;
+ 
+ 	return(rgb_class);

Copied: openscenegraph/repos/community-staging-x86_64/PKGBUILD (from rev 83958, openscenegraph/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2013-02-07 15:33:44 UTC (rev 83959)
@@ -0,0 +1,55 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Maintainer: Hans Janssen <janserv at gmail.com>
+# Contributor: my64 <packages at obordes.com>
+# Contributor: Colin Pitrat <colin.pitrat at gmail.com>
+
+pkgname=openscenegraph
+pkgver=3.0.1
+pkgrel=8
+pkgdesc="An Open Source, high performance real-time graphics toolkit"
+arch=('i686' 'x86_64')
+license=('custom:OSGPL')
+url="http://www.openscenegraph.org"
+depends=('giflib' 'jasper' 'librsvg' 'xine-lib' 'curl' 'pth')
+makedepends=('cmake' 'libvncserver' 'qt' 'ffmpeg-compat' 'mesa')
+optdepends=('libvncserver' 'gdal' 'openexr' 'poppler-glib' 'qt')
+conflicts=('openthreads')
+provides=('openthreads')
+source=(http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-$pkgver/source/OpenSceneGraph-$pkgver.zip
+	osg-xine-1.2.patch)
+#source=("http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-3.0/source/OpenSceneGraph-$pkgver.zip")
+md5sums=('c43a25d023e635c3566b2083d8e6d956'
+         'b05a486fdc2aaf06b29efb5e0714672e')
+
+build() {
+  cd OpenSceneGraph-$pkgver
+  export PKG_CONFIG_PATH=/usr/lib/ffmpeg-compat/pkgconfig:$PKG_CONFIG_PATH
+  LDFLAGS="$LDFLAGS -Wl,-rpath -Wl,/usr/lib/ffmpeg-compat"
+  CFLAGS="$CFLAGS -D__STDC_CONSTANT_MACROS"
+  CXXFLAGS="$CXXFLAGS -D__STDC_CONSTANT_MACROS"
+  [ $NOEXTRACT -eq 1 ] || cmake . \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DFFMPEG_LIBAVCODEC_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVCODEC_LIBRARIES=/usr/lib/ffmpeg-compat/libavcodec.so \
+    -DFFMPEG_LIBAVDEVICE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVDEVICE_LIBRARIES=/usr/lib/ffmpeg-compat/libavdevice.so \
+    -DFFMPEG_LIBAVFORMAT_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVFORMAT_LIBRARIES=/usr/lib/ffmpeg-compat/libavformat.so \
+    -DFFMPEG_LIBAVUTIL_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBAVUTIL_LIBRARIES=/usr/lib/ffmpeg-compat/libavutil.so \
+    -DFFMPEG_LIBSWSCALE_INCLUDE_DIRS=/usr/include/ffmpeg-compat \
+    -DFFMPEG_LIBSWSCALE_LIBRARIES=/usr/lib/ffmpeg-compat/libswscale.so
+
+  sed -i 's|#include <curl/types.h>|//#include <curl/types.h>|' src/osgPlugins/curl/ReaderWriterCURL.cpp
+  patch -p1 <$srcdir/osg-xine-1.2.patch
+  make
+}
+
+package() {
+  cd OpenSceneGraph-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -D -m644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+  [ -d "$pkgdir/usr/lib64" ] && mv "$pkgdir/usr/lib64" "$pkgdir/usr/lib" || true
+}

Copied: openscenegraph/repos/community-staging-x86_64/osg-xine-1.2.patch (from rev 83958, openscenegraph/trunk/osg-xine-1.2.patch)
===================================================================
--- community-staging-x86_64/osg-xine-1.2.patch	                        (rev 0)
+++ community-staging-x86_64/osg-xine-1.2.patch	2013-02-07 15:33:44 UTC (rev 83959)
@@ -0,0 +1,14 @@
+diff -wbBur OpenSceneGraph-3.0.1/src/osgPlugins/xine/video_out_rgb.c OpenSceneGraph-3.0.1.my/src/osgPlugins/xine/video_out_rgb.c
+--- OpenSceneGraph-3.0.1/src/osgPlugins/xine/video_out_rgb.c	2009-11-20 14:46:20.000000000 +0300
++++ OpenSceneGraph-3.0.1.my/src/osgPlugins/xine/video_out_rgb.c	2012-01-05 02:15:38.000000000 +0400
+@@ -2769,8 +2769,8 @@
+ 	clear(rgb_class, sizeof(rgbout_class_t));
+ 
+ 	rgb_class->driver_class.open_plugin     = open_plugin;
+-	rgb_class->driver_class.get_identifier  = get_identifier;
+-	rgb_class->driver_class.get_description = get_description;
++	rgb_class->driver_class.identifier  = get_identifier(NULL);
++	rgb_class->driver_class.description = get_description(NULL);
+ 	rgb_class->driver_class.dispose         = dispose_class;
+ 
+ 	return(rgb_class);




More information about the arch-commits mailing list